Skip to main content
POST
Request a file upload

Authorizations

Authorization
string
header
required

An API key of your organization, starting with trk_, sent as Authorization: Bearer <key>.

Body

application/json
name
string
required

Filename, without directories; up to 128 ASCII letters, digits, spaces, dots, hyphens or underscores, starting with a letter or digit.

content_type
string
required

MIME type, without parameters; application/octet-stream when unknown.

size
integer
required

Exact size in bytes, from 1 to 20 MiB.

Required range: 1 <= x <= 20971520

Response

Success

id
string
required

Reference returned when requesting a file upload.

url
string
required
method
enum<string>
required
Available options:
PUT
headers
object
required
upload_expires_at
string
required
expires_at
string
required